/*
 * Copyright(C) 2007 Проект ИОК
 *
 * Этот файл содержит информацию, являющуюся
 * собственностью компании Крипто Про.
 *
 * Любая часть этого файла не может быть скопирована,
 * исправлена, переведена на другие языки,
 * локализована или модифицирована любым способом,
 * откомпилирована, передана по сети с или на
 * любую компьютерную систему без предварительного
 * заключения соглашения с компанией Крипто Про.
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 199627 $
 * \date $Date:: 2019-09-23 11:13:21 +0300#$
 * \author $Author: sagafyin $
 * \brief Функция получения прозвища считывателя.
 */

#include "fat12prj.h"

DWORD fat12_info_nickname( 
    TSupSysContext *context, TSupSysInfo *info )
{
    TSupSysInfoNickname *inf = (TSupSysInfoNickname*)info;
    DWORD err;
    SUPSYS_PRE_INFO( info, TSupSysInfoNickname );

    if (context) {
	TFat12Context* ctx = (TFat12Context*)context;
	SUPSYS_PRE_CCONTEXT(context, TFat12Context);
	_tcscpy(inf->nickname, ctx->nickname);
	err = ERROR_SUCCESS;
    }
    else {
	err = ERROR_NOT_SUPPORTED;
    }
    return err;
}
